Filters
Get a saved filter
GET
ApiKeyheader
AuthorizationBearer <dl_…>Personal API key created in Daylite under Settings → Developer.
id*stringFormat
uuidThe saved filter.
application/json- response
id*stringFormat
uuidname*stringquery*stringCase-insensitive text matched against task titles.
project_id*|Format
uuidminimum_priority*|Lowest priority included. null for any.
Value in
"p1""p2""p3"nulldated_only*booleanOnly tasks that have a due date.
revision*integerServer revision of this version. It increases with every change to the object.
curl -X GET 'https://api.daylite.me/v1/filters/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "query": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "minimum_priority": "p1", "dated_only": true, "revision": 0}